---
id: resources
title: Awesome Resources
slug: /resources
---

A curated list of interesting Docusaurus community projects.

## Videos

- [F8 2019: Using Docusaurus to Create Open Source Websites](https://www.youtube.com/watch?v=QcGJsf6mgZE)

## Articles

- [Live code editing in Docusaurus](https://dev.to/mrmuhammadali/live-code-editing-in-docusaurus-28k)

## Showcase

See the <a href={require('@docusaurus/useBaseUrl').default('showcase')}>showcase</a>.

## Official plugins

- [@docusaurus/plugin-content-blog](/docs/using-plugins#docusaurusplugin-content-blog)
- [@docusaurus/plugin-content-docs](/docs/using-plugins#docusaurusplugin-content-docs)
- [@docusaurus/plugin-content-pages](/docs/using-plugins#docusaurusplugin-content-pages)
- [@docusaurus/plugin-google-analytics](/docs/using-plugins#docusaurusplugin-google-analytics)
- [@docusaurus/plugin-google-gtag](/docs/using-plugins#docusaurusplugin-google-gtag)
- [@docusaurus/plugin-sitemap](/docs/using-plugins#docusaurusplugin-sitemap)
- [@docusaurus/plugin-ideal-image](/docs/using-plugins#docusaurusplugin-ideal-image)

## Community plugins

- [docusaurus-plugin-lunr](https://github.com/daldridge/docusaurus-plugin-lunr) - Docusaurus v2 plugin to create a local search index for use with Lunr.js
- [docusaurus-lunr-search](https://github.com/lelouch77/docusurus-lunr-search) - Offline Search for Docusaurus v2
- [docusaurus-search-local](https://github.com/cmfcmf/docusaurus-search-local) - Offline/local search for Docusaurus v2
- [docusaurus-pdf](https://github.com/KohheePeace/docusaurus-pdf) - Generate documentation into PDF format
- [docusaurus-plugin-sass](https://github.com/rlamana/docusaurus-plugin-sass) - Sass/SCSS stylesheets support
- [docusaurus2-dotenv](https://github.com/jonnynabors/docusaurus2-dotenv) - A Docusaurus 2 plugin that supports dotenv and other environment variables
- [posthog-docusaurus](https://github.com/PostHog/posthog-docusaurus) - Integrate [PostHog](https://posthog.com/) product analytics with Docusaurus v2

## Enterprise usage

- Facebook
- Google
- Stripe
- Algolia
- Callstack
