---
id: team
title: Team
slug: /team
---

import TeamProfileCard from "@site/src/components/TeamProfileCard"

export function TeamProfileCardCol(props) { return <TeamProfileCard {...props} className={'col col--6 margin-bottom--lg'}/> }

## Active Team

The Docusaurus team works on the core functionality, plugins for the classic theme, as well as the Docusaurus documentation website.

Current members of the Docusaurus team are listed in alphabetical order below.

<div className="row">
  <TeamProfileCardCol
    name="Joel Marcey"
    githubUrl="https://github.com/JoelMarcey"
    twitterUrl="https://twitter.com/joelmarcey"
  >
    Docusaurus founder and now ever grateful Docusaurus cheerleader to those who actually write code for it.
  </TeamProfileCardCol>
  <TeamProfileCardCol
    name="Sébastien Lorber"
    githubUrl="https://github.com/slorber"
    twitterUrl="https://twitter.com/sebastienlorber"
  >
    React lover since 2014. Freelance, helping Facebook ship Docusaurus v2. He writes regularly, on his <a href="https://sebastienlorber.com/" target="_blank">website</a> and <a href="https://dev.to/sebastienlorber" target="_blank">Dev.to</a>.
  </TeamProfileCardCol>
  <TeamProfileCardCol
    name="Yangshun Tay"
    githubUrl="https://github.com/yangshun"
    twitterUrl="https://twitter.com/yangshunz"
  >
    Full Front End Stack developer who likes working on the Jamstack. Working on Docusaurus made him Facebook's unofficial part-time Open Source webmaster, which is an awesome role to be in.
  </TeamProfileCardCol>
</div>

## Honorary Alumni

Docusaurus would never be what it is today without the huge contributions from these folks who have moved on to bigger and greater things.

<div className="row">
  <TeamProfileCardCol
    name="Alexey Pyltsyn"
    githubUrl="https://github.com/lex111"
  >
    Obsessed open-source enthusiast 👋 Eternal amateur at everything 🤷‍♂️ Maintainer of Russian docs on PHP, React, Kubernetes and much more 🧐
  </TeamProfileCardCol>
  <TeamProfileCardCol name="Endilie Yacop Sucipto" githubUrl="https://github.com/endiliey" twitterUrl="https://twitter.com/endiliey">
    Maintainer @docusaurus · 🔥🔥🔥
  </TeamProfileCardCol>
  <TeamProfileCardCol
    name="Wei Gao"
    githubUrl="https://github.com/wgao19"
    twitterUrl="https://twitter.com/wgao19"
  >
    🏻‍🌾 Work in progress React developer, maintains Docusaurus, writes docs and spams this world with many websites.
  </TeamProfileCardCol>
</div>

## Student Fellows

A handful of students have also worked on Docusaurus as part of their school term/internship and the [Major League Hacking Fellowship program](https://fellowship.mlh.io/), contributing amazing features such as plugin options validation, migration tooling, and a Bootstrap theme.

<div className="row">
  <TeamProfileCardCol name="Anshul Goyal" githubUrl="https://github.com/anshulrgoyal" twitterUrl="https://twitter.com/ar_goyal">
  Fullstack developer who loves to code and try new technologies. In his free time, he contributes to open source, writes blog posts on his <a href="https://anshulgoyal.dev/" target="_blank">website</a> and watches Anime.
  </TeamProfileCardCol>
  <TeamProfileCardCol name="Drew Alexander" githubUrl="https://github.com/drewbi">
    Developer and Creative, trying to gain the skills to build whatever he can think of.
  </TeamProfileCardCol>
  <TeamProfileCardCol
    name="Fanny Vieira"
    githubUrl="https://github.com/fanny"
    twitterUrl="https://twitter.com/fannyvieiira"
  >
    Fanny got started with web development in high school, building a project for the school kitchen. In her free time she loves contributing to Open Source, occasionally writing on <a href="https://dev.to/fannyvieira" target="_blank">her blog</a> about her experiences, cooking, and creating <a href="https://open.spotify.com/user/anotherfanny" target="_blank">Spotify playlists</a>.
  </TeamProfileCardCol>
  <TeamProfileCardCol name="Sam Zhou" githubUrl="https://github.com/SamChou19815" twitterUrl="https://twitter.com/SamChou19815">
    Sam started programming in 2011 and built his <a href="https://developersam.com">website</a> in 2015. He is interested in programming languages, dev infra and web development, and has built his own <a href="https://samlang.developersam.com/">programming language</a> and <a href="https://github.com/SamChou19815/mini-react">mini React</a>.
  </TeamProfileCardCol>
  <TeamProfileCardCol name="Tan Teik Jun" githubUrl="https://github.com/teikjun" twitterUrl="https://twitter.com/teik_jun">
    Open-source enthusiast who aims to become as awesome as the other humans on this page. Working on Docusaurus brought him closer to his goal. 🌱
  </TeamProfileCardCol>
  <TeamProfileCardCol name="Nisarag Bhatt" githubUrl="https://github.com/FocalChord" twitterUrl="https://twitter.com/focalchord_">
    Fullstack web developer who loves learning new technologies and applying them! Loves contributing to open source as well as writing content articles and tutorials.
  </TeamProfileCardCol>
</div>

## Acknowledgements

Docusaurus was originally created by Joel Marcey. Today, Docusaurus has a few hundred open source contributors. We’d like to recognize a few people who have made significant contributions to Docusaurus and its documentation in the past and have helped maintain them over the years:

- [Amy Lam](https://github.com/amyrlam)
- [Cheng Lou](https://github.com/chenglou)
- [Christine Abernathy](https://github.com/caabernathy)
- [Christopher Chedeau](https://github.com/vjeux)
- [Elvis Wolcott](https://github.com/elviswolcott)
- [Eric Nakagawa](https://github.com/ericnakagawa)
- [Fienny Angelina](https://github.com/fiennyangeln)
- [Frank Li](https://github.com/deltice)
- [Héctor Ramos](https://github.com/hramos)
- [Ramón Lamana](https://github.com/rlamana)
- [Ricky Vetter](https://github.com/rickyvetter)
